%define _use_internal_dependency_generator 0

Summary: A Perl interface to the World-Wide Web.
Name: perl-libwww-perl
Version: 5.79
Release: 5
License: GPL or Artistic
Group: Applications/CPAN
Source0: libwww-perl-%{version}.tar.gz
Source10: filter-depends.sh
URL: http://search.cpan.org/dist/libwww-perl/
BuildRoot: %{_tmppath}/perl-libwww-perl-buildroot/
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503
Requires: perl(URI) perl(Digest::MD5)
Requires: perl-HTML-Parser >= 0:3.33
Requires: perl(HTML::Entities)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(HTML::Entities)
Requires: perl-HTML-Parser >= 0:3.33
BuildArch: noarch

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web.  The main focus of the library is to provide classes
and functions that allow you to write WWW clients. The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires %{SOURCE10}

%prep
%setup -q -n libwww-perl-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INST_EXE=$RPM_BUILD_ROOT/usr/bin PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor < /dev/null
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > libwww-perl-%{version}-filelist
if [ "$(cat libwww-perl-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f libwww-perl-%{version}-filelist
%defattr(-,root,root)
%doc AUTHORS Changes README*
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/LWP
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/Net
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/WWW
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/WWW/RobotRules
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/File
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/HTML
%dir /usr/lib/perl5/vendor_perl/%(perl -MConfig -e 'print $Config{version}')/HTTP


%changelog
* Fri Aug 13 2004 Bill Nottingham <notting@redhat.com> 5.76-5
- fix %%defattr

* Mon Aug 09 2004 Alan Cox <alan@redhat.com> 5.76-4
- added missing BuildRequires on perl(HTML::Parser) [Steve Grubb]

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 16 2004 Warren Togami <wtogami@redhat.com> 5.76-2
- #12051 misc fixes from Ville Skyttä

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 5.76-1
- update to 5.76

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jul 16 2002 Chip Turner <cturner@redhat.com>
- added missing Requires on perl(HTML::Entities)

* Fri Mar 29 2002 Chip Turner <cturner@redhat.com>
- added Requires: for perl-URI and perl-Digest-MD5

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
